
QGIS Application - Bug report #18382

QGIS 3.0 crashes when trying open a new 3D Map View

2018-03-08 10:59 AM - Fergus Graham

Status: Closed

Priority: High

Assignee:

Category: 3D

Affected QGIS version:3.0.0 Regression?: No

Operating System: Wondows 8 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 26272

Description

User Feedback

Crashes when trying open a new 3D Map View.

Report Details

Crash ID: 0009f3f5ff2bbbdaa992444f0c078b4805f2ed36

Stack Trace

QgsVectorLayer3DRenderer::writeXml :

QgsVectorLayer3DRenderer::writeXml :

QgsVectorLayer3DRenderer::writeXml :

QgsVectorLayer3DRenderer::writeXml :

Qgs3DMapScene::onFrameTriggered :

QMetaObject::activate :

Qt3DLogic::QFrameAction::triggered :

Qt3DLogic::QFrameAction::onTriggered :

Qt3DLogic::QFrameAction::onTriggered :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

qt_plugin_query_metadata :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

NotifyWinEvent :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QgsRasterPipe::QgsRasterPipe :

QgsRasterLayerRenderer::QgsRasterLayerRenderer :

QgsRasterLayer::createMapRenderer :

QgsMapRendererJob::prepareJobs :

QgsMapRendererCustomPainterJob::start :

QgsMapRendererSequentialJob::start :

QgsTerrainGenerator::typeToString :

QgsTerrainGenerator::resolveReferences :

QgsFlatTerrainGenerator::createChunkLoader :

QgsVectorLayer3DRenderer::writeXml :

QgsVectorLayer3DRenderer::writeXml :

QMetaObject::activate :

QMetaObject::activate :

Qgs3DAlgorithms::qt_metacast :

QgsTerrainGenerator::typeToString :

QMetaObject::activate :

QMetaObject::activate :
QMetaObject::activate :

QFutureWatcherBase::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

qt_plugin_query_metadata :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

NotifyWinEvent :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.3.9600

History

#1 - 2018-03-08 01:07 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

- Subject changed from QGIS 3.0 EAR crashes when trying open a new 3D Map View. to QGIS 3.0 crashes when trying open a new 3D Map View

Can you attach the data you are using?

#2 - 2018-08-16 03:21 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
